org.apache.xmlbeans.impl.xb.xsdschema

## Interface LocalComplexType

All Superinterfaces:
  Annotated, ComplexType, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  LocalComplexTypeImpl

    public interface LocalComplexType
    extends ComplexType

An XML localComplexType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<LocalComplexType>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.ComplexType

`addNewAll, addNewAnyAttribute, addNewAttribute, addNewAttributeGroup, addNewChoice, addNewComplexContent, addNewGroup, addNewSequence, addNewSimpleContent, getAbstract, getAll, getAnyAttribute, getAttributeArray, getAttributeArray, getAttributeGroupArray, getAttributeGroupArray, getAttributeGroupList, getAttributeList, getBlock, getChoice, getComplexContent, getFinal, getGroup, getMixed, getName, getSequence, getSimpleContent, insertNewAttribute, insertNewAttributeGroup, isSetAbstract, isSetAll, isSetAnyAttribute, isSetBlock, isSetChoice, isSetComplexContent, isSetFinal, isSetGroup, isSetMixed, isSetName, isSetSequence, isSetSimpleContent, removeAttribute, removeAttributeGroup, setAbstract, setAll, setAnyAttribute, setAttributeArray, setAttributeArray, setAttributeGroupArray, setAttributeGroupArray, setBlock, setChoice, setComplexContent, setFinal, setGroup, setMixed, setName, setSequence, setSimpleContent, sizeOfAttributeArray, sizeOfAttributeGroupArray, unsetAbstract, unsetAll, unsetAnyAttribute, unsetBlock, unsetChoice, unsetComplexContent, unsetFinal, unsetGroup, unsetMixed, unsetName, unsetSequence, unsetSimpleContent, xgetAbstract, xgetBlock, xgetFinal, xgetMixed, xgetName, xsetAbstract, xsetBlock, xsetFinal, xsetMixed, xsetName`

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<LocalComplexType> Factory

#### type

    static final SchemaType type